# coding: utf-8

from setuptools import setup, find_packages

NAME = "{{packageName}}"
VERSION = "{{packageVersion}}"

# To install the library, run the following
#
# python setup.py install
# or
# pip install . (after cd to this folder)
# prerequisite: setuptools
# http://pypi.python.org/pypi/setuptools

REQUIRES = [
{{#artifactDependencies}}
    "{{artifactId}} == {{artifactVersion}}",
{{/artifactDependencies}}
    "kathra-core-model == 1.0.0"
]

setup(
    name=NAME,
    version=VERSION,
    description="{{artifactName}}",
    author_email="{{infoEmail}}",
    url="{{packageUrl}}",
    keywords=["Kathra", "{{apiName}}", "{{apiSuffix}}"],
    install_requires=REQUIRES,
    packages=find_packages(),
    include_package_data=True,
    long_description="""\
    {{appDescription}}
    """
)
